* {
  padding: 0;
  margin: 0;
}

html {
  font-size: 10px;
  scroll-behavior: smooth;
  font-family: 'Space Mono', mono space;
}

body {
  background-color: #000;
  color: #fff;
}

section {
  margin: 2.4rem 0;
}

h3 {
  font-size: 2.8rem;
}

ul {
  list-style: none;
  padding: 0
}

img {
  max-width: 100%;
  height: auto;
}

.img-container {

}

video:focus {
  outline: none;
}

svg {
  width: 75px;
  height: 75px;
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #000;
}

::-webkit-scrollbar-thumb {
  background: #fff;
}

::-webkit-scrollbar-thumb:hover {
  background: #fff;
}

.preload {
  -webkit-transition: none;
  -moz-transition: none;
  -ms-transition: none;
  -o-transition: none;
}

.container {
  max-width: 1200px;
  padding: 20px;
  margin: 75px auto;
  overflow: hidden;
}

.personal {
  display: flex;
  justify-content: space-between;
}

.nikolas {
  text-decoration: none;
  color: #fff;
  font-size: 2rem;
}

.tele-email {
  font-size: 2rem;
  background-color: #000;
  margin: 0;
  text-align: right;
  display: flex;
  flex-direction: column;
}

.personal-email {
  color: #fff;
  text-decoration: none;
  border-bottom: 2px solid transparent;
  transition-duration: 0.2s;
}

.personal-email:hover {
  border-bottom: 2px solid #fff;
}

.header {
  margin: 100px 0;
  font-size: 2.2rem;
}

.opening {
  display: flex;
  align-items: center;
}

.line {
  height: 2px;
  background-color: #fff;
  width: 100px;
  margin: 2.4rem 0;
}

.links {
  display: flex;
  width: 200px;
  justify-content: space-between;
  padding: 0 20px;
}

.github-icon {
  background-image: url('./resources/images/github-brands.svg');
  background-repeat: no-repeat;
  width: 27px;
  height: 27px;
  background-size: 27px 27px;
  background-position: center center;
  margin: 0 10px;
}

.linkedIn-icon {
  background-image: url('./resources/images/linkedin-brands.svg');
  background-repeat: no-repeat;
  width: 27px;
  height: 27px;
  background-size: 27px 27px;
  background-position: center center;
  margin: 0 10px;
}

.instagram-icon {
  background-image: url('./resources/images/instagram-brands.svg');
  background-repeat: no-repeat;
  width: 27px;
  height: 27px;
  background-size: 27px 27px;
  background-position: center center;
  margin: 0 10px;
}

.about {
  font-size: 2rem;
  text-align: right;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  margin: 100px 0;
}

.about-me {
  width: 66%;
}

.skills {
  font-size: 2rem;
  margin: 200px 0;
}

.skills-title {
  margin: 100px 0 50px 0;
  font-size: 3rem;
}

.skills-list {
  display: flex;
  flex-direction: column;
}

.tech {
  margin: 2.4rem;
}

.libraries, .databases {
  display: flex;
  flex-direction: column;
  align-items: flex-end
}

.skill-title {
  width: 325px;
  padding: 20px 0;
  border-bottom: 1px solid #fff;
  font-size: 2.4rem;
}

.skilll-title {
  width: 325px;
  padding: 20px 0;
  border-bottom: 1px solid #fff;
  font-size: 2.4rem;
  text-align: right;
}

.language-list, .libraries-list, .tools-list, .databases-list {
  display: flex;
  width: 750px;
  justify-content: space-between;
}

.skill, .skilll  {
  width: 33%;
  padding: 25px 0;
  transition-duration: 0.3s;
  display: flex;
  flex-direction: column;
}

.skill {
  align-items: flex-start;
}

.skilll  {
  align-items: flex-end;
}

.skill h5 {
  width: 75px;
  padding: 1rem 0 0 0;
  text-align: center;
}

.skill:hover {
  transform: translate(0, -5%);
}

.skilll h5 {
  width: 75px;
  padding: 1rem 0 0 0;
  text-align: center;
}

.skilll:hover {
  transform: translate(0, -5%);
}

.websites {
  font-size: 2rem;
}

.hiwatt {
  color: #551A8B;
  font-size: 2.4rem;
  text-decoration: none;
  border-bottom: 2px solid transparent;
  transition-duration: 0.3s;
  cursor: pointer;
}

.hiwatt:hover {
  border-bottom: 2px solid #551A8B;
}

.meiInternationalAcademy {
  color: #3a4c81;
  font-size: 2.4rem;
  text-decoration: none;
  border-bottom: 2px solid transparent;
  transition-duration: 0.3s;
  cursor: pointer;
}

.meiInternationalAcademy:hover {
  border-bottom: 2px solid #3a4c81;
}

.canadianFloraFauna {
  color: #cf0019;
  font-size: 2.4rem;
  text-decoration: none;
  border-bottom: 2px solid transparent;
  transition-duration: 0.3s;
  cursor: pointer;
}

.canadianFloraFauna:hover {
  border-bottom: 2px solid #cf0019;
}

.weave {
  color: #e472e4;
  font-size: 2.4rem;
  text-decoration: none;
  border-bottom: 2px solid transparent;
  transition-duration: 0.3s;
  cursor: pointer;
}

.weave:hover {
  border-bottom: 2px solid #e472e4;
}

.website1 {
  margin: 100px 0;
}

.website2 {
  width: 100%;
  margin: 100px 0;
  display: flex;
  justify-content: flex-end;
}

.cryptorial {
  color: #0565d6;
  font-size: 2.4rem;
  text-decoration: none;
  border-bottom: 2px solid transparent;
  transition-duration: 0.3s;
  cursor: pointer;
}

.cryptorial:hover {
  border-bottom: 2px solid #0565d6;
}

.website3 {
  margin: 100px 0;
}

.website4 {
  width: 100%;
  margin: 100px 0;
  display: flex;
  justify-content: flex-end;
}

.video {
  width: 66%;
  height: 66%;
}

.image {
  width: 66%;
  height: 66%;
}

.contact {
  margin: 100px auto;
  min-width: 500px;
  max-width: 1000px;
}

.contact-title {
  font-size: 2rem;
}

.contact-para {
  font-size: 2rem;
  width: 100%;
  max-width: 100%;
  min-width: 100%;
  margin: 0 0 100px 0;
}

.personal-email-link {
  color: #fff;
  text-decoration: none;
  border-bottom: 2px solid transparent;
  transition-duration: 0.5s;
  font-size: 2rem;
}

.personal-email-link:hover {
  border-bottom: 2px solid #fff;
}

.contact-form {
  display: flex;
  flex-direction: column;
}

.inputs {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.email-input {
  width: 50%;
  border: none;
  border-bottom: 2px solid #fff;
  background-color: #000;
  color: #fff;
  font-family: 'Space Mono', mono space;
  font-size: 2rem;
  margin: 20px 0;
  min-width: 250px;
}

.email-input:focus {
  outline: none;
}

.subject-input {
  width: 50%;
  border: none;
  border-bottom: 2px solid #fff;
  background-color: #000;
  color: #fff;
  font-family: 'Space Mono', mono space;
  font-size: 2rem;
  margin: 20px 0;
  min-width: 250px;
}

.subject-input:focus {
  outline: none;
}

.message-input {
  max-width: 100%;
  border: none;
  border-bottom: 2px solid #fff;
  border-left: 2px solid #fff;
  background-color: #000;
  color: #fff;
  font-family: 'Space Mono', mono space;
  font-size: 2rem;
  margin: 20px 0;
  padding: 20px;
  resize: none;
}

.message-input:focus {
  outline: none;
}

.submit-btn {
  background-color: #000;
  color: #fff;
  font-family: 'Space Mono', mono space;
  font-size: 2rem;
  border: 2px solid #fff;
  padding: 10px;
  width: 20%;
  min-width: 150px;
  transition-duration: 0.3s;
}

.submit-btn:focus {
  outline: none;
}

.submit-btn:hover {
  background-color: #fff;
  color: #000;
}

@media screen and (max-width: 1200px) {
  /*.language-list, .libraries-list, .tools-list, .databases-list {
    display: flex;
    width: 100%;
    justify-content: space-between;
  }*/
}

@media screen and (max-width: 750px) {
  .about {
    margin: 50px 0;
  }

  .about-me {
    width: 90%;
  }

  .tech {
    padding: 2.4rem 0;
  }

  .skills {
    margin: 50px 0;
  }

  .language-list, .libraries-list, .tools-list, .databases-list {
    display: flex;
    width: 100%;
    justify-content: space-between;
  }

  .skill, .skilll {
    width: 25%;
    align-items: center;
    text-align: center;
    font-size: 1.2rem;
  }

  .video {
    width: 100%;
    height: 100%;
  }

  .image {
    width: 100%;
    height: 100%;
  }

  .contact {
    min-width: 0;
    max-width: none;
    width: 100%;
    margin: 50px 0;
  }

  .submit-btn {
    background-color: #000;
    color: #fff;
    font-family: 'Space Mono', mono space;
    font-size: 2rem;
    border: 2px solid #fff;
    padding: 10px;
    width: 33%;
    transition-duration: 0.3s;
  }
}


@media screen and (max-width: 450px) {

  .container {
    padding: 10px;
    margin: 0 auto;
  }

  .personal {
    max-width: 100%;
    overflow: hidden;
  }

  .nikolas {
    font-size: 1.6rem;
  }

  .tele-email {
    font-size: 1.6rem;
  }

  .header {
    margin: 125px 0;
  }

  .weaveTrips {
    display: none;
  }

  .line {
    margin: 25px 0;
  }

  .about {
    width: 100%;
    margin: 50px 0;
  }

  .about-me {
    width: 100%;
  }

  .skills {
    margin: 0;
    width: 100%;
  }

  .skill-title, .skilll-title {
    font-size: 2rem;
    width: 50%;
  }

  .language-list, .libraries-list, .tools-list, .databases-list {
    width: 100%;
  }

  .skill, .skilll {
    width: 25%;
    align-items: center;
    text-align: center;
  }

  .skill h5, .skilll h5 {
    font-size: 1.4rem;
  }

  svg {
    width: 75px;
    height: 75px;
  }

  .websites p {
    padding: 0 0 1.2rem 0;
  }

  .website1, .website2, .website3, .website4 {
    margin: 0;
    font-size: 1.6rem;
  }

  .canadianFloraFauna {
    color: #cf0019;
    font-size: 2rem;
  }

  .weave {
    color: #e472e4;
    font-size: 2rem;
  }

  .cryptorial {
    color: #0565d6;
    font-size: 2rem;
  }

  .image, .video {
    width: 100%;
    height: 100%;
  }

  .contact {
    margin: 75px 0;
  }

  .contact-para {
    margin: 0;
    font-size: 1.6rem;
  }

  .email-input {
    width: 100%;
    border: none;
    border-bottom: 2px solid #fff;
    background-color: #000;
    color: #fff;
    font-family: 'Space Mono', mono space;
    font-size: 1.6rem;
    margin: 20px 0;
  }

  .subject-input {
    width: 100%;
    border: none;
    border-bottom: 2px solid #fff;
    background-color: #000;
    color: #fff;
    font-family: 'Space Mono', mono space;
    font-size: 1.6rem;
    margin: 20px 0;
  }

  .message-input {
    max-width: 100%;
    border: none;
    border: 2px solid #fff;
    background-color: #000;
    color: #fff;
    font-family: 'Space Mono', mono space;
    font-size: 1.6rem;
    margin: 20px 0;
    padding: 20px;
    resize: none;
  }

  .submit-btn {
    background-color: #000;
    color: #fff;
    font-family: 'Space Mono', mono space;
    font-size: 2rem;
    border: 2px solid #fff;
    padding: 10px;
    width: 50%;
    transition-duration: 0.7s;
    margin: 0 auto;
  }
}
